// creator  : weidu.exe (version 23100)
// argument : BOUNHA.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BOUNHA~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #166 /* ~Good day, Raelis. Will you permit me to stop this madness?~ */
  IF ~~ THEN EXIT
END

IF ~NumTimesTalkedTo(1)
~ THEN BEGIN 1 // from:
  SAY #167 /* ~Thank you.~ */
  IF ~~ THEN EXTERN ~RAELIS~ 14
END

IF ~~ THEN BEGIN 2 // from:
  SAY #169 /* ~Oh, just an employee of an old acquaintance of yours in Sigil. Duke... what was his name? Darkwood? Yes, Duke Darkwood, that was it, wasn't it... You really oughtn't have done that play, you know...~ */
  IF ~~ THEN EXTERN ~RAELIS~ 15
END

IF ~~ THEN BEGIN 3 // from:
  SAY #171 /* ~Ah yes, the infamous anonymous playwright. Now who was he, anyway, we never did learn.~ */
  IF ~!InParty("HaerDalis")
~ THEN EXTERN ~RAELIS~ 16
  IF ~InParty("HaerDalis")
~ THEN EXTERN ~RAELIS~ 70
END

IF ~~ THEN BEGIN 4 // from:
  SAY #50271 /* ~What of these others? Who are you <PRO_RACE>? Surely Raelis did not hire you in the hope that you would save her?~ */
  IF ~~ THEN REPLY #50272 /* ~If you want these people you will have to get through me.~ */ GOTO 5
  IF ~Global("EvilRaelis","GLOBAL,1)
Class(Player1,BARD_ALL)
~ THEN REPLY #50273 /* ~Who me? I'm not involved. You can take these criminals. I'm just the owner of this playhouse.~ */ DO ~SetGlobal("EvilRaelis","GLOBAL,2)
~ EXTERN ~RAELIS~ 76
  IF ~Global("EvilRaelis","GLOBAL,1)
!Class(Player1,BARD_ALL)
~ THEN REPLY #50288 /* ~Who me? I have nothing to do with these people. Leave me out of it.~ */ DO ~SetGlobal("EvilRaelis","GLOBAL,2)
~ EXTERN ~RAELIS~ 79
  IF ~~ THEN REPLY #61235 /* ~I would be willing to help, though I have no intention of stepping on anyone's toes.~ */ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.3 4.0
  SAY #50274 /* ~Fool! I don't need to involve you. Already I have the souls of these ones attuned. Let it begin!~ */
  IF ~~ THEN DO ~SetGlobal("EnteredThePortal","AR0510",1)
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: ANOMENJ:284.0
  SAY #50287 /* ~Ha! Lady Luck has not smiled upon you this day. No more time for you and your ilk. Let us go.~ */
  IF ~~ THEN DO ~SetGlobal("EnteredThePortal","AR0510",1)
~ EXIT
END
